package idc.board.command;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.ArrayList;

public class BoardSearchCmd implements BoardCmd{
	
	public void execute(HttpServletRequest request, HttpServletResponse response) {
		BoardDAO dao = new BoardDAO();
		String searchOption = request.getParameter("searchOption");
		String searchWord = request.getParameter("searchWord");
		
		//검색 기능 수행
		ArrayList<BoardDTO> list = dao.boardSearch(searchOption, searchWord);		
		request.setAttribute("boardList", list);
	}
}
